<?php
require '../../conexao/conexao.php';

$query_string = $_POST['url'] ?? '';

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['ids'])) {
    if (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'sim') {
        $ids = explode(',', $_POST['ids']);
        $todos_sucesso = true;

        foreach ($ids as $id) {
            $stmt_medico = $connectionmysql->prepare("DELETE FROM define_metas WHERE id = ?");
            $stmt_medico->bind_param("i", $id);

            if (!$stmt_medico->execute()) {
                $todos_sucesso = false;
                break; // Se der erro em um, já para
            }
        }

        if ($todos_sucesso) {
            header("Location: lista_metas_definidas.php?status=sucesso&" . $query_string);
            exit();
        } else {
            echo "Erro ao deletar: " . $stmt_medico->error;
        }
    } elseif (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'nao') {
        header("Location: lista_metas_definidas.php?" . $query_string);
        exit();
    } else {
        header("Location: lista_metas_definidas.php?" . $query_string);
        exit();
    }
} else {
    header("Location: lista_metas_definidas.php?status=erro&" . $query_string);
    exit();
}
